## libdbix-safe-perl 1.2.5

=== debian/changelog ===
libdbix-safe-perl (1.2.5-4) unstable; urgency=medium

  * Remove re-generated file via debian/clean. (Closes: #1045263)
  * Add /me to Uploaders.
  * Declare compliance with Debian Policy 4.6.2.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Mar 2024 00:31:13 +0100

libdbix-safe-perl (1.2.5-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Debian Janitor ]
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository.

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/watch: use uscan version 4.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 13 Jun 2022 15:36:37 +0100

libdbix-safe-perl (1.2.5-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 12:36:28 +0100

libdbix-safe-perl (1.2.5-2) unstable; urgency=low

  * Team upload.

  [ gregor herrmann ]
  * debian/control: remove unversioned (build) dependency on perl-
    modules.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Drop build dependency on libmodule-signature-perl. (Closes: #783965)
  * Switch to "3.0 (quilt)" source format.
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Declare compliance with Debian Policy 3.9.6.
  * Mark package as autopkgtest-able.
  * Revert direct changes to upstream code.
  * Drop unused build dependency on libdbd-pg-perl.
  * Bump debhelper compatibility level to 8.
  * Update short/long description.
  * Don't install README anymore.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 May 2015 21:08:43 +0200

libdbix-safe-perl (1.2.5-1) unstable; urgency=low

  * Initial Release. (Closes: #528719)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Sat, 19 Sep 2009 23:56:10 +0200
