=== debian/watch ===
version=4
https://metacpan.org/release/DBIx-Safe   .*/DBIx-Safe-v?@ANY_VERSION@@ARCHIVE_EXT@$
